<?php
/**
  * Ahead WebSoft Technologies Pvt Ltd.
  * @copyright  Copyright 2006-2026 Ahead WebSoft Technologies Pvt Ltd.
  * @license    https://www.socialengine.com/policies
*/
class User_Widget_BrowseSearchController extends Engine_Content_Widget_Abstract
{
    public function indexAction()
    {
        // Prepare form
        $this->view->form = $form = new User_Form_Search(array(
            'type' => 'user',
            'ajaxUrl' => Zend_Controller_Front::getInstance()->getRouter()->assemble(array('action' => 'fields'),'user_general'),
            'enableAjaxLoad' => false,
        ));

        $p = Zend_Controller_Front::getInstance()->getRequest()->getParams();
        $form->populate($p);
        $this->view->topLevelId = $form->getTopLevelId();
        $this->view->topLevelValue = $form->getTopLevelValue();
    }
}
